﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.VSDesigner, Version 4.0.30319.42000.
// 
#pragma warning disable 1591

namespace WebServices.ARGNSPDCServiceWeb {
    using System;
    using System.Web.Services;
    using System.Diagnostics;
    using System.Web.Services.Protocols;
    using System.Xml.Serialization;
    using System.ComponentModel;
    
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="ARGNS_PROD_DATACOLSoap", Namespace="ARGNS_PROD_DATACOL")]
    public partial class ARGNS_PROD_DATACOL : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        private MsgHeader msgHeaderValueField;
        
        private System.Threading.SendOrPostCallback AddOperationCompleted;
        
        private System.Threading.SendOrPostCallback UpdateOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetByParamsOperationCompleted;
        
        private System.Threading.SendOrPostCallback GetListOperationCompleted;
        
        private System.Threading.SendOrPostCallback InvokeMethodOperationCompleted;
        
        private bool useDefaultCredentialsSetExplicitly;
        
        /// <remarks/>
        public ARGNS_PROD_DATACOL() {
            this.Url = global::WebServices.Properties.Settings.Default.WebServices_ARGNSModelServiceWeb_ARGNS_MODEL;
            if ((this.IsLocalFileSystemWebService(this.Url) == true)) {
                this.UseDefaultCredentials = true;
                this.useDefaultCredentialsSetExplicitly = false;
            }
            else {
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        public MsgHeader MsgHeaderValue {
            get {
                return this.msgHeaderValueField;
            }
            set {
                this.msgHeaderValueField = value;
            }
        }
        
        public new string Url {
            get {
                return base.Url;
            }
            set {
                if ((((this.IsLocalFileSystemWebService(base.Url) == true) 
                            && (this.useDefaultCredentialsSetExplicitly == false)) 
                            && (this.IsLocalFileSystemWebService(value) == false))) {
                    base.UseDefaultCredentials = false;
                }
                base.Url = value;
            }
        }
        
        public new bool UseDefaultCredentials {
            get {
                return base.UseDefaultCredentials;
            }
            set {
                base.UseDefaultCredentials = value;
                this.useDefaultCredentialsSetExplicitly = true;
            }
        }
        
        /// <remarks/>
        public event AddCompletedEventHandler AddCompleted;
        
        /// <remarks/>
        public event UpdateCompletedEventHandler UpdateCompleted;
        
        /// <remarks/>
        public event GetByParamsCompletedEventHandler GetByParamsCompleted;
        
        /// <remarks/>
        public event GetListCompletedEventHandler GetListCompleted;
        
        /// <remarks/>
        public event InvokeMethodCompletedEventHandler InvokeMethodCompleted;
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_PROD_DATACOL/Add", RequestNamespace="ARGNS_PROD_DATACOL", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsProdDataCollectionParams")]
        public ArgnsProdDataCollectionParams Add([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsProdDataCollection ArgnsProdDataCollection) {
            object[] results = this.Invoke("Add", new object[] {
                        ArgnsProdDataCollection});
            return ((ArgnsProdDataCollectionParams)(results[0]));
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsProdDataCollection ArgnsProdDataCollection) {
            this.AddAsync(ArgnsProdDataCollection, null);
        }
        
        /// <remarks/>
        public void AddAsync(ArgnsProdDataCollection ArgnsProdDataCollection, object userState) {
            if ((this.AddOperationCompleted == null)) {
                this.AddOperationCompleted = new System.Threading.SendOrPostCallback(this.OnAddOperationCompleted);
            }
            this.InvokeAsync("Add", new object[] {
                        ArgnsProdDataCollection}, this.AddOperationCompleted, userState);
        }
        
        private void OnAddOperationCompleted(object arg) {
            if ((this.AddCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.AddCompleted(this, new AddCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_PROD_DATACOL/Update", RequestNamespace="ARGNS_PROD_DATACOL", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void Update([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsProdDataCollection ArgnsProdDataCollection) {
            this.Invoke("Update", new object[] {
                        ArgnsProdDataCollection});
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsProdDataCollection ArgnsProdDataCollection) {
            this.UpdateAsync(ArgnsProdDataCollection, null);
        }
        
        /// <remarks/>
        public void UpdateAsync(ArgnsProdDataCollection ArgnsProdDataCollection, object userState) {
            if ((this.UpdateOperationCompleted == null)) {
                this.UpdateOperationCompleted = new System.Threading.SendOrPostCallback(this.OnUpdateOperationCompleted);
            }
            this.InvokeAsync("Update", new object[] {
                        ArgnsProdDataCollection}, this.UpdateOperationCompleted, userState);
        }
        
        private void OnUpdateOperationCompleted(object arg) {
            if ((this.UpdateCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.UpdateCompleted(this, new System.ComponentModel.AsyncCompletedEventArgs(invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_PROD_DATACOL/GetByParams", RequestNamespace="ARGNS_PROD_DATACOL", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlElementAttribute("ArgnsProdDataCollection")]
        public ArgnsProdDataCollection GetByParams([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsProdDataCollectionParams ArgnsProdDataCollectionParams) {
            object[] results = this.Invoke("GetByParams", new object[] {
                        ArgnsProdDataCollectionParams});
            return ((ArgnsProdDataCollection)(results[0]));
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsProdDataCollectionParams ArgnsProdDataCollectionParams) {
            this.GetByParamsAsync(ArgnsProdDataCollectionParams, null);
        }
        
        /// <remarks/>
        public void GetByParamsAsync(ArgnsProdDataCollectionParams ArgnsProdDataCollectionParams, object userState) {
            if ((this.GetByParamsOperationCompleted == null)) {
                this.GetByParamsOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetByParamsOperationCompleted);
            }
            this.InvokeAsync("GetByParams", new object[] {
                        ArgnsProdDataCollectionParams}, this.GetByParamsOperationCompleted, userState);
        }
        
        private void OnGetByParamsOperationCompleted(object arg) {
            if ((this.GetByParamsCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetByParamsCompleted(this, new GetByParamsCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_PROD_DATACOL/GetList", RequestNamespace="ARGNS_PROD_DATACOL", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        [return: System.Xml.Serialization.XmlArrayAttribute("ArgnsProdDataCollectionsParams")]
        [return: System.Xml.Serialization.XmlArrayItemAttribute("ArgnsProdDataCollectionParams", IsNullable=false)]
        public ArgnsProdDataCollectionsParamsArgnsProdDataCollectionParams[] GetList() {
            object[] results = this.Invoke("GetList", new object[0]);
            return ((ArgnsProdDataCollectionsParamsArgnsProdDataCollectionParams[])(results[0]));
        }
        
        /// <remarks/>
        public void GetListAsync() {
            this.GetListAsync(null);
        }
        
        /// <remarks/>
        public void GetListAsync(object userState) {
            if ((this.GetListOperationCompleted == null)) {
                this.GetListOperationCompleted = new System.Threading.SendOrPostCallback(this.OnGetListOperationCompleted);
            }
            this.InvokeAsync("GetList", new object[0], this.GetListOperationCompleted, userState);
        }
        
        private void OnGetListOperationCompleted(object arg) {
            if ((this.GetListCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.GetListCompleted(this, new GetListCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapHeaderAttribute("MsgHeaderValue")]
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("ARGNS_PROD_DATACOL/InvokeMethod", RequestNamespace="ARGNS_PROD_DATACOL", ResponseNamespace="http://www.sap.com/SBO/DIS", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void InvokeMethod([System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ref InvokeParams InvokeParams, [System.Xml.Serialization.XmlElementAttribute(Namespace="http://www.sap.com/SBO/DIS")] ArgnsProdDataCollection ArgnsProdDataCollection) {
            object[] results = this.Invoke("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsProdDataCollection});
            InvokeParams = ((InvokeParams)(results[0]));
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsProdDataCollection ArgnsProdDataCollection) {
            this.InvokeMethodAsync(InvokeParams, ArgnsProdDataCollection, null);
        }
        
        /// <remarks/>
        public void InvokeMethodAsync(InvokeParams InvokeParams, ArgnsProdDataCollection ArgnsProdDataCollection, object userState) {
            if ((this.InvokeMethodOperationCompleted == null)) {
                this.InvokeMethodOperationCompleted = new System.Threading.SendOrPostCallback(this.OnInvokeMethodOperationCompleted);
            }
            this.InvokeAsync("InvokeMethod", new object[] {
                        InvokeParams,
                        ArgnsProdDataCollection}, this.InvokeMethodOperationCompleted, userState);
        }
        
        private void OnInvokeMethodOperationCompleted(object arg) {
            if ((this.InvokeMethodCompleted != null)) {
                System.Web.Services.Protocols.InvokeCompletedEventArgs invokeArgs = ((System.Web.Services.Protocols.InvokeCompletedEventArgs)(arg));
                this.InvokeMethodCompleted(this, new InvokeMethodCompletedEventArgs(invokeArgs.Results, invokeArgs.Error, invokeArgs.Cancelled, invokeArgs.UserState));
            }
        }
        
        /// <remarks/>
        public new void CancelAsync(object userState) {
            base.CancelAsync(userState);
        }
        
        private bool IsLocalFileSystemWebService(string url) {
            if (((url == null) 
                        || (url == string.Empty))) {
                return false;
            }
            System.Uri wsUri = new System.Uri(url);
            if (((wsUri.Port >= 1024) 
                        && (string.Compare(wsUri.Host, "localHost", System.StringComparison.OrdinalIgnoreCase) == 0))) {
                return true;
            }
            return false;
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    [System.Xml.Serialization.XmlRootAttribute(Namespace="http://www.sap.com/SBO/DIS", IsNullable=false)]
    public partial class MsgHeader : System.Web.Services.Protocols.SoapHeader {
        
        private string sessionIDField;
        
        private MsgHeaderServiceName serviceNameField;
        
        private bool serviceNameFieldSpecified;
        
        /// <remarks/>
        public string SessionID {
            get {
                return this.sessionIDField;
            }
            set {
                this.sessionIDField = value;
            }
        }
        
        /// <remarks/>
        public MsgHeaderServiceName ServiceName {
            get {
                return this.serviceNameField;
            }
            set {
                this.serviceNameField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ServiceNameSpecified {
            get {
                return this.serviceNameFieldSpecified;
            }
            set {
                this.serviceNameFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public enum MsgHeaderServiceName {
        
        /// <remarks/>
        ARGNS_PROD_DATACOL,
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsProdDataCollection {
        
        private string codeField;
        
        private string nameField;
        
        private long docEntryField;
        
        private bool docEntryFieldSpecified;
        
        private string canceledField;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private long userSignField;
        
        private bool userSignFieldSpecified;
        
        private string transferedField;
        
        private System.DateTime createDateField;
        
        private bool createDateFieldSpecified;
        
        private System.DateTime updateDateField;
        
        private bool updateDateFieldSpecified;
        
        private string dataSourceField;
        
        private System.DateTime u_DateField;
        
        private bool u_DateFieldSpecified;
        
        private long u_empIDField;
        
        private bool u_empIDFieldSpecified;
        
        private string u_ShiftCodeField;
        
        private long u_MinPresField;
        
        private bool u_MinPresFieldSpecified;
        
        private long u_UnprodMinsField;
        
        private bool u_UnprodMinsFieldSpecified;
        
        private string u_VendorField;
        
        private string u_BranchField;
        
        private ArgnsProdDataCollectionARGNS_PRODCOLLNS[] aRGNS_PRODCOLLNSCollectionField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public string Name {
            get {
                return this.nameField;
            }
            set {
                this.nameField = value;
            }
        }
        
        /// <remarks/>
        public long DocEntry {
            get {
                return this.docEntryField;
            }
            set {
                this.docEntryField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DocEntrySpecified {
            get {
                return this.docEntryFieldSpecified;
            }
            set {
                this.docEntryFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Canceled {
            get {
                return this.canceledField;
            }
            set {
                this.canceledField = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long UserSign {
            get {
                return this.userSignField;
            }
            set {
                this.userSignField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UserSignSpecified {
            get {
                return this.userSignFieldSpecified;
            }
            set {
                this.userSignFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Transfered {
            get {
                return this.transferedField;
            }
            set {
                this.transferedField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime CreateDate {
            get {
                return this.createDateField;
            }
            set {
                this.createDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool CreateDateSpecified {
            get {
                return this.createDateFieldSpecified;
            }
            set {
                this.createDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime UpdateDate {
            get {
                return this.updateDateField;
            }
            set {
                this.updateDateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool UpdateDateSpecified {
            get {
                return this.updateDateFieldSpecified;
            }
            set {
                this.updateDateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string DataSource {
            get {
                return this.dataSourceField;
            }
            set {
                this.dataSourceField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
        public System.DateTime U_Date {
            get {
                return this.u_DateField;
            }
            set {
                this.u_DateField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_DateSpecified {
            get {
                return this.u_DateFieldSpecified;
            }
            set {
                this.u_DateFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_empID {
            get {
                return this.u_empIDField;
            }
            set {
                this.u_empIDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_empIDSpecified {
            get {
                return this.u_empIDFieldSpecified;
            }
            set {
                this.u_empIDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_ShiftCode {
            get {
                return this.u_ShiftCodeField;
            }
            set {
                this.u_ShiftCodeField = value;
            }
        }
        
        /// <remarks/>
        public long U_MinPres {
            get {
                return this.u_MinPresField;
            }
            set {
                this.u_MinPresField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_MinPresSpecified {
            get {
                return this.u_MinPresFieldSpecified;
            }
            set {
                this.u_MinPresFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_UnprodMins {
            get {
                return this.u_UnprodMinsField;
            }
            set {
                this.u_UnprodMinsField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_UnprodMinsSpecified {
            get {
                return this.u_UnprodMinsFieldSpecified;
            }
            set {
                this.u_UnprodMinsFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Vendor {
            get {
                return this.u_VendorField;
            }
            set {
                this.u_VendorField = value;
            }
        }
        
        /// <remarks/>
        public string U_Branch {
            get {
                return this.u_BranchField;
            }
            set {
                this.u_BranchField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayItemAttribute("ARGNS_PRODCOLLNS", IsNullable=false)]
        public ArgnsProdDataCollectionARGNS_PRODCOLLNS[] ARGNS_PRODCOLLNSCollection {
            get {
                return this.aRGNS_PRODCOLLNSCollectionField;
            }
            set {
                this.aRGNS_PRODCOLLNSCollectionField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsProdDataCollectionARGNS_PRODCOLLNS {
        
        private string codeField;
        
        private long lineIdField;
        
        private bool lineIdFieldSpecified;
        
        private string objectField;
        
        private long logInstField;
        
        private bool logInstFieldSpecified;
        
        private string u_CodeBarsField;
        
        private long u_ProdOrdField;
        
        private bool u_ProdOrdFieldSpecified;
        
        private string u_ModelField;
        
        private string u_ColorField;
        
        private string u_ScaleField;
        
        private string u_SizeField;
        
        private string u_VariableField;
        
        private string u_WorkCtrField;
        
        private string u_ResourIDField;
        
        private string u_ResNameField;
        
        private string u_OperCodeField;
        
        private double u_QtyField;
        
        private bool u_QtyFieldSpecified;
        
        private double u_BadQtyField;
        
        private bool u_BadQtyFieldSpecified;
        
        private long u_StageField;
        
        private bool u_StageFieldSpecified;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
        
        /// <remarks/>
        public long LineId {
            get {
                return this.lineIdField;
            }
            set {
                this.lineIdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LineIdSpecified {
            get {
                return this.lineIdFieldSpecified;
            }
            set {
                this.lineIdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string Object {
            get {
                return this.objectField;
            }
            set {
                this.objectField = value;
            }
        }
        
        /// <remarks/>
        public long LogInst {
            get {
                return this.logInstField;
            }
            set {
                this.logInstField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool LogInstSpecified {
            get {
                return this.logInstFieldSpecified;
            }
            set {
                this.logInstFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_CodeBars {
            get {
                return this.u_CodeBarsField;
            }
            set {
                this.u_CodeBarsField = value;
            }
        }
        
        /// <remarks/>
        public long U_ProdOrd {
            get {
                return this.u_ProdOrdField;
            }
            set {
                this.u_ProdOrdField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_ProdOrdSpecified {
            get {
                return this.u_ProdOrdFieldSpecified;
            }
            set {
                this.u_ProdOrdFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public string U_Model {
            get {
                return this.u_ModelField;
            }
            set {
                this.u_ModelField = value;
            }
        }
        
        /// <remarks/>
        public string U_Color {
            get {
                return this.u_ColorField;
            }
            set {
                this.u_ColorField = value;
            }
        }
        
        /// <remarks/>
        public string U_Scale {
            get {
                return this.u_ScaleField;
            }
            set {
                this.u_ScaleField = value;
            }
        }
        
        /// <remarks/>
        public string U_Size {
            get {
                return this.u_SizeField;
            }
            set {
                this.u_SizeField = value;
            }
        }
        
        /// <remarks/>
        public string U_Variable {
            get {
                return this.u_VariableField;
            }
            set {
                this.u_VariableField = value;
            }
        }
        
        /// <remarks/>
        public string U_WorkCtr {
            get {
                return this.u_WorkCtrField;
            }
            set {
                this.u_WorkCtrField = value;
            }
        }
        
        /// <remarks/>
        public string U_ResourID {
            get {
                return this.u_ResourIDField;
            }
            set {
                this.u_ResourIDField = value;
            }
        }
        
        /// <remarks/>
        public string U_ResName {
            get {
                return this.u_ResNameField;
            }
            set {
                this.u_ResNameField = value;
            }
        }
        
        /// <remarks/>
        public string U_OperCode {
            get {
                return this.u_OperCodeField;
            }
            set {
                this.u_OperCodeField = value;
            }
        }
        
        /// <remarks/>
        public double U_Qty {
            get {
                return this.u_QtyField;
            }
            set {
                this.u_QtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_QtySpecified {
            get {
                return this.u_QtyFieldSpecified;
            }
            set {
                this.u_QtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public double U_BadQty {
            get {
                return this.u_BadQtyField;
            }
            set {
                this.u_BadQtyField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_BadQtySpecified {
            get {
                return this.u_BadQtyFieldSpecified;
            }
            set {
                this.u_BadQtyFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        public long U_Stage {
            get {
                return this.u_StageField;
            }
            set {
                this.u_StageField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool U_StageSpecified {
            get {
                return this.u_StageFieldSpecified;
            }
            set {
                this.u_StageFieldSpecified = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsProdDataCollectionParams {
        
        private string codeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class ArgnsProdDataCollectionsParamsArgnsProdDataCollectionParams {
        
        private string codeField;
        
        /// <remarks/>
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.7.2046.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://www.sap.com/SBO/DIS")]
    public partial class InvokeParams {
        
        private string valueField;
        
        /// <remarks/>
        public string Value {
            get {
                return this.valueField;
            }
            set {
                this.valueField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void AddCompletedEventHandler(object sender, AddCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class AddCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal AddCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsProdDataCollectionParams Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsProdDataCollectionParams)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void UpdateCompletedEventHandler(object sender, System.ComponentModel.AsyncCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetByParamsCompletedEventHandler(object sender, GetByParamsCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetByParamsCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetByParamsCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsProdDataCollection Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsProdDataCollection)(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void GetListCompletedEventHandler(object sender, GetListCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class GetListCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal GetListCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public ArgnsProdDataCollectionsParamsArgnsProdDataCollectionParams[] Result {
            get {
                this.RaiseExceptionIfNecessary();
                return ((ArgnsProdDataCollectionsParamsArgnsProdDataCollectionParams[])(this.results[0]));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    public delegate void InvokeMethodCompletedEventHandler(object sender, InvokeMethodCompletedEventArgs e);
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Web.Services", "4.7.2046.0")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    public partial class InvokeMethodCompletedEventArgs : System.ComponentModel.AsyncCompletedEventArgs {
        
        private object[] results;
        
        internal InvokeMethodCompletedEventArgs(object[] results, System.Exception exception, bool cancelled, object userState) : 
                base(exception, cancelled, userState) {
            this.results = results;
        }
        
        /// <remarks/>
        public InvokeParams InvokeParams {
            get {
                this.RaiseExceptionIfNecessary();
                return ((InvokeParams)(this.results[0]));
            }
        }
    }
}

#pragma warning restore 1591